## texmaker 6.0.1+dfsg

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0+
#cmake -DCMAKE_PREFIX_PATH=path to Qt6 .
#cmake --build .
#cmake --install .
#cmake --build . --target texmaker_lupdate
#cmake --build . --target texmaker_lrelease
# MACOS
# qt-cmake -DCMAKE_OSX_ARCHITECTURES="x86_64;arm64" .
# make
# make install
# WINDOWS
# qt-cmake .
# cmake --build . --config Release
# cmake --install .

cmake_minimum_required(VERSION 3.16)
project(texmaker VERSION 6.0.1 LANGUAGES CXX C)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR})

################ OPTIONS ####################
set(COMPILEUSB "no")
set(AUTHORIZELINUXQSTYLES "yes")
set(INTERNALBROWSER "yes")
set(DEBIANSPELLDIR "no")
################# INSTALL_DIR #####################
if (UNIX AND NOT APPLE)
    if (${COMPILEUSB} STREQUAL "yes")
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/linux_portable)
    else()
        set(INSTALL_DIR "/usr")
    endif()
elseif (WIN32)
    if (${COMPILEUSB} STREQUAL "yes")
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/win_portable)
    else()
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/win_desktop)
    endif()
elseif (APPLE)
    set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/macos)
endif()
################## RESOURCES ########################
if (UNIX AND NOT APPLE)
set(UTILITIES_FILES
  ${CMAKE_SOURCE_DIR}/datas/doc/doc10.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc11.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc12.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc13.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc14.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc15.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc16.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc17.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc1.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc20.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc21.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc22.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc2.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc3.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc4.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc5.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6bis.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc7.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc8.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc9.png
  ${CMAKE_SOURCE_DIR}/datas/doc/latexhelp.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_en.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_fr.html
  ${CMAKE_SOURCE_DIR}/AUTHORS
  ${CMAKE_SOURCE_DIR}/COPYING
  ${CMAKE_SOURCE_DIR}/datas/CHANGELOG.txt
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker16x16.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker22x22.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker32x32.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker48x48.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker64x64.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker128x128.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.svg
  ${CMAKE_SOURCE_DIR}/datas/scripts/titlecase_selection.tms
  ${CMAKE_SOURCE_DIR}/datas/scripts/hardwordwrap_selection_80col.tms
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ca.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_da.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_de.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_en.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_es.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fi.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_he.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_it.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ja.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ko.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_lt.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sk.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sv.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_de.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_es.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_it.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt_BR.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_nl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_sr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_el.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_se.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_lv.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_vi_VN.qm
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT_README.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_hu_HU.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pt_PT.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pl.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_cs_CZ.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_de_DE_frami.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_DIC_fr_FR.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_es_ES.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_en_US.txt
)
set(DESKTOP_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.desktop
)
set(ICON_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.png
)
set(METAINFO_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.metainfo.xml
)
elseif (WIN32)
set(RESOURCE_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/win/texmaker.ico
  ${CMAKE_SOURCE_DIR}/datas/doc/doc10.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc11.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc12.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc13.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc14.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc15.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc16.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc17.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc1.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc20.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc21.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc22.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc2.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc3.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc4.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc5.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6bis.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc7.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc8.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc9.png
  ${CMAKE_SOURCE_DIR}/datas/doc/latexhelp.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_en.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_fr.html
  ${CMAKE_SOURCE_DIR}/AUTHORS
  ${CMAKE_SOURCE_DIR}/COPYING
  ${CMAKE_SOURCE_DIR}/datas/CHANGELOG.txt
  ${CMAKE_SOURCE_DIR}/datas/scripts/titlecase_selection.tms
  ${CMAKE_SOURCE_DIR}/datas/scripts/hardwordwrap_selection_80col.tms
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_de.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_es.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_it.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt_BR.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_nl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_sr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_el.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_se.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_lv.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_vi_VN.qm
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT_README.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_hu_HU.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pt_PT.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pl.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_cs_CZ.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_de_DE_frami.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_DIC_fr_FR.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_es_ES.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_en_US.txt
)
set(ICON_FILE "${CMAKE_SOURCE_DIR}/datas/distrib/win/win.rc")
elseif (APPLE)
set(RESOURCE_FILES

=== 3rdparty/pdfium/third_party/libopenjpeg20/CMakeLists.txt ===
include_regular_expression("^.*$")

#
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/opj_config.h
 DESTINATION ${OPENJPEG_INSTALL_INCLUDE_DIR} COMPONENT Headers)

include_directories(
  ${OPENJPEG_BINARY_DIR}/src/lib/openjp2 # opj_config.h and opj_config_private.h
)
# Defines the source code for the library
set(OPENJPEG_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/bio.c
  ${CMAKE_CURRENT_SOURCE_DIR}/cio.c
  ${CMAKE_CURRENT_SOURCE_DIR}/dwt.c
  ${CMAKE_CURRENT_SOURCE_DIR}/event.c
  ${CMAKE_CURRENT_SOURCE_DIR}/image.c
  ${CMAKE_CURRENT_SOURCE_DIR}/invert.c
  ${CMAKE_CURRENT_SOURCE_DIR}/j2k.c
  ${CMAKE_CURRENT_SOURCE_DIR}/jp2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mct.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mqc.c
  ${CMAKE_CURRENT_SOURCE_DIR}/openjpeg.c
  ${CMAKE_CURRENT_SOURCE_DIR}/opj_clock.c
  ${CMAKE_CURRENT_SOURCE_DIR}/pi.c
  ${CMAKE_CURRENT_SOURCE_DIR}/raw.c
  ${CMAKE_CURRENT_SOURCE_DIR}/t1.c
  ${CMAKE_CURRENT_SOURCE_DIR}/t2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/tcd.c
  ${CMAKE_CURRENT_SOURCE_DIR}/tgt.c
  ${CMAKE_CURRENT_SOURCE_DIR}/function_list.c
)
if(BUILD_JPIP)
  add_definitions(-DUSE_JPIP)
  set(OPENJPEG_SRCS
    ${OPENJPEG_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/cidx_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/phix_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/ppix_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/thix_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/tpix_manager.c
  )
endif()

# Build the library
if(WIN32)
  if(BUILD_SHARED_LIBS)
    add_definitions(-DOPJ_EXPORTS)
  else()
    add_definitions(-DOPJ_STATIC)
  endif()
endif()
add_library(${OPENJPEG_LIBRARY_NAME} ${OPENJPEG_SRCS})
if(UNIX)
  target_link_libraries(${OPENJPEG_LIBRARY_NAME} m)
endif()
set_target_properties(${OPENJPEG_LIBRARY_NAME} PROPERTIES ${OPENJPEG_LIBRARY_PROPERTIES})

# Install library
install(TARGETS ${OPENJPEG_LIBRARY_NAME}
  EXPORT OpenJPEGTargets
  RUNTIME DESTINATION ${OPENJPEG_INSTALL_BIN_DIR} COMPONENT Applications
  LIBRARY DESTINATION ${OPENJPEG_INSTALL_LIB_DIR} COMPONENT Libraries
  ARCHIVE DESTINATION ${OPENJPEG_INSTALL_LIB_DIR} COMPONENT Libraries
)

# Install includes files
install(FILES openjpeg.h opj_stdint.h
  DESTINATION ${OPENJPEG_INSTALL_INCLUDE_DIR} COMPONENT Headers
)

if(BUILD_DOC)
# install man page of the library
install(
  FILES       ${OPENJPEG_SOURCE_DIR}/doc/man/man3/libopenjp2.3
  DESTINATION ${OPENJPEG_INSTALL_MAN_DIR}/man3)
endif()

# internal utilities to generate t1_luts.h (part of the jp2 lib)
# no need to install:
add_executable(t1_generate_luts t1_generate_luts.c)
if(UNIX)
  target_link_libraries(t1_generate_luts m)
endif()

# Experimental option; let's how cppcheck performs
# Implementation details:
# I could not figure out how to easily upload a file to CDash. Instead simply
# pretend cppcheck is part of the Build step. Technically cppcheck can even
# output gcc formatted error/warning report
# Another implementation detail: I could not redirect error to the error
# catching mechanism something is busted in cmake 2.8.5, I had to use the
# warning regex to catch them.
if(OPENJPEG_CPPCHECK)
  find_package(CPPCHECK REQUIRED)
  foreach(f ${OPENJPEG_SRCS})
    # cppcheck complains about too many configuration, pretend to be WIN32:
    add_custom_command(TARGET ${OPENJPEG_LIBRARY_NAME}
      COMMAND ${CPPCHECK_EXECUTABLE} -DWIN32 ${f})
  endforeach()
endif()

if(OPJ_USE_DSYMUTIL)
  if(BUILD_SHARED_LIBS)
    GET_TARGET_PROPERTY(OPENJPEG_LIBRARY_LOCATION ${OPENJPEG_LIBRARY_NAME} LOCATION)
    add_custom_command(TARGET ${OPENJPEG_LIBRARY_NAME} POST_BUILD
    COMMAND "dsymutil" "${OPENJPEG_LIBRARY_LOCATION}"
    COMMENT "dsymutil ${OPENJPEG_LIBRARY_LOCATION}"
    DEPENDS ${OPENJPEG_LIBRARY_NAME})
  endif()
endif()

## texmaker 1.9.9

=== debian/changelog ===
texmaker (1.9.9-2) unstable; urgency=low

  * debian/rules: Symlinks to enable texmaker binary finding the
    documentation in /usr/share/doc/texmaker
    Closes: #569771
  * debian/control: debhelper overrides needs Build-Depends:
    debhelper (>= 7.0.50~)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Feb 2010 14:16:10 +0100

texmaker (1.9.9-1) unstable; urgency=low

  * New upstream version.
  * Now using using source format `3.0 (quilt)' for orig.tar.bz support.
  * Now using tiny rules from dh 7.
  * Standards-Version bumped to 3.8.4 (no changes). 
  * Add a new texmaker-data package (big-usr-share, 83%)
  * New relationships and some changes in *install needed for the split.
  * Add ${misc:Depends} for debhelper.

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 07 Feb 2010 22:21:10 -0500

texmaker (1.9.2-2) UNRELEASED; urgency=low

  * Standards-Version bumped to 3.8.2 (no changes)
  * Updated debian/copyright, adding missing information
  * Removed deprecated dh_desktop rule
  * Two sed lines added to debian/rules to fix a pedantic lintian warning
    (spelling-error-in-binary). Not important enough to add a patch system.
  * Updated short description
  * Added an idempotent get-orig-source rule.

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 03 Jul 2009 23:13:53 -0500

texmaker (1.9.2-1) unstable; urgency=low

  * New upstream version
  * Recommends: asymptote

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jul 2009 14:43:18 +0200

texmaker (1.9.1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - debhelper (>= 7)
    - libqt4-dev (>=4.5.1) (required by upstream
    - Standards-Version: 3.8.1, no changes needed
  * debian/texmaker.install: adapt to changes in upstream directory
    layout
  * No quilt patches any more because applied upstream

 -- Andreas Tille <tille@debian.org>  Thu, 28 May 2009 14:38:43 +0200

texmaker (1.8-1) unstable; urgency=low

  [ Ruben Molina ]
  * New Upstream Release.
  * Update patches.
  * Update debian/watch.
  * Close old 'inclusion of external files' bugreport, because it was 
    confirmed to be fixed by Upstream since v1.7.1 (Closes: #469920).

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 26 Dec 2008 20:57:07 -0500

texmaker (1.7.1-3) UNRELEASED; urgency=low

  [ Ruben Molina ]
  * Acknowledge previous NMU, and Include his changes and changelog entry
    into the debian-science SVN repository (Closes: #494291)
  * Add ghostscript to Recommends. Favor it over gs-*
  * Fix LaTeX spelling on doc-base and description
  * Fix hyphen-used-as-minus-sign in texmaker.1
  * Update 20_texmaker_desktop.patch to remove the deprecated Encoding key
  
  [ Andreas Tille ]
  * Removed obsolete packages from Depends: gs-gpl, gs-esp, gs-afpl,
    tetex-extra
  * Removed Joseph Smidt because his mail address bounces
  * Added Ruben Molina to Uploaders

 -- Andreas Tille <tille@debian.org>  Fri, 12 Sep 2008 07:18:37 +0200

texmaker (1.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Favor texlive-latex-extra over tetex-extra.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Aug 2008 09:42:22 +0200

texmaker (1.7.1-2) unstable; urgency=low

  * Fixed watch file (thanks to Riccardo Stagni <unriccio@email.it>)
    Closes: #483796
  * Reasonable setting for spelling dictionary and better error
    message, if dictionary was not found
  * Recommends: hunspell-dictionary | openoffice.org-spellcheck-de-de |
     myspell-dictionary | hunspell-en-us
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jun 2008 12:57:21 +0200

texmaker (1.7.1-1) unstable; urgency=low

  * Putted TexMaker under team maintenance by Debian Science Team
    svn://svn.debian.org/svn/debian-science/typesetting/texmaker/trunk/
    (E-Mail of former maintainer Joseph Smidt <jsmidt@byu.edu> bounces)
  * New upstream version
    Closes: #479691
  * The shortcut key bug does not even exist in previous version any more
    according to the bug reporter
    Closes: #434397
  * added watch file
    Closes: #479693
  * debian/control
    - Standards-Version: 3.7.3 (no changes needed)
    - Homepage field
  * debian/menu: s/Apps/Applications/
  * debian/rules
    - added dh_icons and dh_desktop call (and bumped debhelper versioned 
      dependency to (>= 5.0.51)
    - replaced "-$(MAKE) distclean" by
      "[ ! -f Makefile ] || $(MAKE) distclean"
    - symlinks for documentation files to /usr/share/texmaker (see below)
    - don't use make install from upstream but move files via dh_install
      Closes: #438208
  * debian/texmaker.desktop -> rather make use of upstream desktop file
  * debian/texmaker.install
    - use files from upstream source as install targets rather than
      from debian/texmaker
    - use symlink via texmaker.links for texmaker32x32.png
    - copy files from utilities relevant for /usr/share/doc to this
      directory and put symlinks to /usr/share/texmaker into place
      in debian/rules
      Closes: #479692
  * Added doc-base entry
  * debian/patches/10_external_files_inclusion*.patch: keep backup of
    Ubuntu patch for #469920 (Gianluca Borello) in case new upstream
    does not really solve the problem.  Upstream was contacted and
    bug will either closed manually or further means will be taken.
  * Use quilt to fix a lintian warning about deprecated keys in
    texmaker.desktop

 -- Andreas Tille <tille@debian.org>  Tue, 27 May 2008 14:21:01 +0200

texmaker (1.6-1) unstable; urgency=low

  * New Upstream Release (Closes: #430051) 

 -- Joseph Smidt <jsmidt@byu.edu>  Sun,  1 Jul 2007 12:58:40 -0600

texmaker (1.5-1) unstable; urgency=low

  * New Upstream Release

 -- Joseph Smidt <jsmidt@byu.edu>  Sat, 27 Jan 2007 14:43:00 -0700

texmaker (1.4-2) unstable; urgency=low

  * Change build-dep on libqt4-dev to libqt4-dev (>=4.2)

 -- Joseph Smidt <jsmidt@byu.edu>  Wed, 25 Oct 2006 19:58:06 -0600

texmaker (1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload


=== debian/control ===
Source: texmaker
Section: tex
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>,
 Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>=4.5.1), libglib2.0-dev
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/texmaker/trunk/
Homepage: http://www.xm1math.net/texmaker/

Package: texmaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: aspell, ghostscript, netpbm, psutils, texlive-latex-extra,
 hunspell-dictionary | openoffice.org-spellcheck-de-de | myspell-dictionary | hunspell-en-us,
 asymptote, texmaker-data (>= ${source:Version})
Description: cross-platform LaTeX editor
 Texmaker is a clean, highly configurable LaTeX editor with good hot key 
 support and extensive LaTeX documentation. Texmaker integrates many tools 
 needed to develop documents with LaTeX, in just one application. It has 
 some nice features such as syntax highlighting, insertion of 370 mathematical 
 symbols with only one click, and "structure view" of the document for easier 
 navigation. 

Package: texmaker-data
Architecture: all
Depends: ${misc:Depends}
Replaces: texmaker (<< ${source:Version})
Description: Texmaker LaTeX editor -- arch-independent files
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation.
 .
 This package contains documentation and arch-independent files for Texmaker.

=== debian/rules ===
#!/usr/bin/make -f

pkg=texmaker
data=$(pkg)-data

%:
	dh $@
clean:
	dh clean --before dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) .obj/* .moc/* .ui/* 
	dh clean --after  dh_auto_clean
build:
	dh build --before dh_auto_build
	qmake-qt4 -unix PREFIX=/usr texmaker.pro
	dh build --after dh_auto_build --before dh_auto_test
	dh build --after dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs utilities/CHANGELOG.txt

override_dh_installdocs:
	dh_installdocs
	# Setting symlinks from doc dir to /usr/share/texmaker
	for docfile in `ls $(CURDIR)/debian/$(data)/usr/share/doc/$(pkg)/html/*` ; do \
	    ln -s ../doc/$(pkg)/html/`basename $${docfile}` $(CURDIR)/debian/$(data)/usr/share/$(pkg) ; \
	done

## texmaker 2.0

=== debian/changelog ===
texmaker (2.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian (LP: #632717).
  * Added libqtwebkit-dev to Build-Deps.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 04 Sep 2010 10:15:44 +0200

texmaker (2.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bumped to 3.9.1 (no changes)
  * Build-Depends: libpoppler-qt4-dev
  * Build-Depends quilt and "--with quilt" in debian/rules
  * debian/patches/10_spelling_dict.patch: set default to seek for
    a dictionaries to /usr/share/myspell/dicts
    Closes: #591340

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2010 13:17:52 +0200

## texmaker 2.1

=== debian/changelog ===
texmaker (2.1-1ubuntu1) natty; urgency=low

  * Merge with Debian, remaining change:
    + Added libqtwebkit-dev to Build-Deps.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 15 Dec 2010 11:45:23 +0200

texmaker (2.1-1) unstable; urgency=low

  * New upstream version
  * Refreshing debian/patches/10_spelling_dict.patch
  * New patch solving spelling-error-in-binary issues.
  * Formatting debian/copyright under DEP-5.
  * Adding new copyright entries for pdfviewer.*, pdfdocumentwidget.* 
    and synctex_parser* (new files included in version 2.1)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 13 Dec 2010 13:17:45 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: texmaker
 Section: tex
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>,
  Ruben Molina <rmolina@udea.edu.co>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>=4.5.1), libglib2.0-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
+ quilt (>= 0.47), libqtwebkit-dev
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 data=$(pkg)-data
 
 %:
-	dh $@
+	dh $@ --with quilt
+
 clean:
 	dh clean --before dh_auto_clean
 	[ ! -f Makefile ] || $(MAKE) distclean

## texmaker 2.2.1

=== debian/changelog ===
texmaker (2.2.1-1ubuntu1) natty; urgency=low

  * Merge with Debian, remaining change:
    + Added libqtwebkit-dev to Build-Deps.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 09 Feb 2011 14:56:46 +0200

texmaker (2.2.1-1) unstable; urgency=low

  * New upstream version
  * Refreshing patches

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 08 Feb 2011 22:47:54 -0500

## texmaker 3.0

=== debian/changelog ===
texmaker (3.0-1ubuntu3) oneiric; urgency=low

  * Really fix icon rule for binary-arch builds. (Third time's the charm?)

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Apr 2011 14:01:09 +0700

texmaker (3.0-1ubuntu2) oneiric; urgency=low

  * debian/rules: Fix icon rule for binary-arch builds.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Apr 2011 13:37:11 +0700

texmaker (3.0-1ubuntu1) oneiric; urgency=low

  * Merge new upstream release from Debian. Includes previous Ubuntu changes.
  * Add debian/patches/20_gcc_4.6.patch:
    - Fix FTBFS with GCC 4.6.
  * debian/rules:
    - Rename icons in hicolor to provide a 128x128 icon. (LP: #769943)

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Apr 2011 12:46:58 +0700

texmaker (3.0-1) unstable; urgency=low

  * New upstream version
    (adapted patch, removed patches applied upstream)
  * debian/texmaker-data.install: Adapt to new version
  * debian/control: Added missing
    Depends: texmaker-data (= ${source:Version})

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2011 22:03:49 +0200

texmaker (2.3-1) unstable; urgency=low

  * New upstream version (adapted patches)
  * Build-Depends: libqtwebkit-dev =adapted Ubuntu patch which
    Closes: #618140
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2011 09:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>,
  Ruben Molina <rmolina@udea.edu.co>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
+Build-Depends: debhelper (>= 8), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
  quilt (>= 0.47), libqtwebkit-dev
 Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/?rev=0&sc=0
@@ -15,10 +15,10 @@
 
 Package: texmaker
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, texmaker-data (= ${source:Version})
 Recommends: aspell, ghostscript, netpbm, psutils, texlive-latex-extra,
  hunspell-dictionary | openoffice.org-spellcheck-de-de | myspell-dictionary | hunspell-en-us,
- asymptote, texmaker-data (>= ${source:Version})
+ asymptote
 Description: cross-platform LaTeX editor
  Texmaker is a clean, highly configurable LaTeX editor with good hot key 
  support and extensive LaTeX documentation. Texmaker integrates many tools

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,10 @@
 	    ln -s ../doc/$(pkg)/html/`basename $${docfile}` $(CURDIR)/debian/$(data)/usr/share/$(pkg) ; \
 	done
 
+override_dh_install:
+	dh_install
+	# Rename all hicolor icons to texmaker.png
+	[ ! -d $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/ ] || for i in 16 22 32 48 64 128 ; do \
+		mv $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg)$${i}x$${i}.png \
+                $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg).png ; \
+        done

## texmaker 3.0.2

=== debian/changelog ===
texmaker (3.0.2-2) unstable; urgency=low

  * Enable separate arch all/any builds as it was requested
    by Ubuntu (Thanks for the patch to Maia Kozheva <sikon@ubuntu.com>)
    Closes: #625819

 -- Andreas Tille <tille@debian.org>  Fri, 06 May 2011 13:53:18 +0200

texmaker (3.0.2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/patches/20_gcc_4.6.patch: Fix FTBFS with 4.6 (thanks for the
    patch to Maia Kozheva <sikon@ubuntu.com>)
    Closes: #624611
  * debian/rules: Make sure icons are properly named (thanks for the
    patch to Maia Kozheva <sikon@ubuntu.com>)
    Closes: #624613

 -- Andreas Tille <tille@debian.org>  Sat, 30 Apr 2011 08:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: texmaker
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>,
  Ruben Molina <rmolina@udea.edu.co>
 Build-Depends: debhelper (>= 8), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
  quilt (>= 0.47), libqtwebkit-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/

## texmaker 3.1

=== debian/changelog ===
texmaker (3.1-1) unstable; urgency=low

  * New upstream version
    Closes: #647948
  * Fixed Vcs fields
  * debian/patches/10_spelling_dict.patch: Set variable provided by
    upstream in config instead of patching real code
  * debian/patches/20_spelling_default_dict.patch: Seems that there
    is another place to fix spelling directory:
    Closes: #638286

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2011 13:43:42 +0100

## texmaker 3.2

=== debian/changelog ===
texmaker (3.2-1) unstable; urgency=low

  * New upstream version (updated patches and removed patches
    applied upstream)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2011 13:48:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper (>= 8), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
  quilt (>= 0.47), libqtwebkit-dev
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/texmaker/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/
 
 Package: texmaker

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,6 @@
 	dh_install
 	# Rename all hicolor icons to texmaker.png
 	[ ! -d $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/ ] || for i in 16 22 32 48 64 128 ; do \
-		mv $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg)$${i}x$${i}.png \
-                $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg).png ; \
-        done
+	    mv $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg)$${i}x$${i}.png \
+	        $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg).png ; \
+	done

## texmaker 3.3.2

=== debian/changelog ===
texmaker (3.3.2-1) unstable; urgency=low

  * New upstream version (patches updated) 

 -- Andreas Tille <tille@debian.org>  Mon, 12 Mar 2012 19:11:03 +0100

texmaker (3.3.1-1) unstable; urgency=low

  * New upstream version (incl. adapting patch)
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * Removed quilt dependency (control+rules)
  * debian/copyright: Fixed DEP5 issues using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Tue, 28 Feb 2012 09:05:09 +0100

texmaker (3.2.2-1) unstable; urgency=low

  * New upstream version
  * debian/control: Recommends: ibus-qt4 as advised on upstream download
    page

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2012 14:05:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Andreas Tille <tille@debian.org>,
  Ruben Molina <rmolina@udea.edu.co>
 Build-Depends: debhelper (>= 8), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
- quilt (>= 0.47), libqtwebkit-dev
-Standards-Version: 3.9.2
+ libqtwebkit-dev
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/
@@ -17,7 +17,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, texmaker-data (= ${source:Version})
 Recommends: aspell, ghostscript, netpbm, psutils, texlive-latex-extra,
  hunspell-dictionary | openoffice.org-spellcheck-de-de | myspell-dictionary | hunspell-en-us,
- asymptote
+ asymptote, ibus-qt4
 Description: cross-platform LaTeX editor
  Texmaker is a clean, highly configurable LaTeX editor with good hot key 
  support and extensive LaTeX documentation. Texmaker integrates many tools

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 data=$(pkg)-data
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 clean:
 	dh clean --before dh_auto_clean

## texmaker 3.3.4

=== debian/changelog ===
texmaker (3.3.4-1) unstable; urgency=low

  * New upstream version (patches updated)
  * debhelper 9 (control+compat)
    (hardening flags probably need patching build system)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2012 16:29:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>,
  Ruben Molina <rmolina@udea.edu.co>
-Build-Depends: debhelper (>= 8), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
+Build-Depends: debhelper (>= 9), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	dh clean --after  dh_auto_clean
 build:
 	dh build --before dh_auto_build
+	# qmake-qt4 -unix PREFIX=/usr CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" texmaker.pro
+	# this simple means does not help to propagate hardening :-(
 	qmake-qt4 -unix PREFIX=/usr texmaker.pro
 	dh build --after dh_auto_build --before dh_auto_test
 	dh build --after dh_auto_test

## texmaker 3.4

=== debian/changelog ===
texmaker (3.4-1) unstable; urgency=low

  * New upstream version
  * debian/rules:
     - replace the --before/--after magic by override_*
     - enable hardening

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2012 08:56:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,18 +6,16 @@
 %:
 	dh $@
 
-clean:
-	dh clean --before dh_auto_clean
+override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
 	$(RM) .obj/* .moc/* .ui/* 
-	dh clean --after  dh_auto_clean
-build:
-	dh build --before dh_auto_build
-	# qmake-qt4 -unix PREFIX=/usr CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" texmaker.pro
-	# this simple means does not help to propagate hardening :-(
-	qmake-qt4 -unix PREFIX=/usr texmaker.pro
-	dh build --after dh_auto_build --before dh_auto_test
-	dh build --after dh_auto_test
+	dh_auto_clean
+
+override_dh_auto_build:
+	qmake-qt4 -unix PREFIX=/usr QMAKE_CFLAGS="$(CPPFLAGS)" QMAKE_CXXFLAGS="$(CXXFLAGS)" QMAKE_LFLAGS="$(LDFLAGS)" texmaker.pro
+
+override_dh_auto_test:
+	# do not try testing
 
 override_dh_installchangelogs:
 	dh_installchangelogs utilities/CHANGELOG.txt

## texmaker 4.0.3

=== debian/changelog ===
texmaker (4.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #701366)
  * Rename d/texmaker.links to d/texmaker-data.links
    to avoid broken symlinks.
  * d/control:
    + Bump Standards-Version to 3.9.4 (no changes).
    + Remove DM-Upload-Allowed.
    + Use canonical URIs for Vcs-* fields.
  * d/rules: Remove override_dh_auto_build to get
    hardening flags. Thanks to Simon Ruderich. (Closes: #688697)
  * Add 20-add-keywords-desktop-file.patch patch to add
    missing keywords entry to the desktop file.
  * Update 10_spelling_dict.patch patch.
  * Update d/copyright.
    + Add missing copyright holders.
  * Update d/menu to use absolute icon path.

 -- Julián Moreno Patiño <julian@debian.org>  Fri, 09 Aug 2013 08:05:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>,
  Ruben Molina <rmolina@udea.edu.co>
 Build-Depends: debhelper (>= 9), libqt4-dev (>=4.5.1), libglib2.0-dev, libpoppler-qt4-dev,
  libqtwebkit-dev
-Standards-Version: 3.9.3
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/texmaker/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-science/packages/texmaker/trunk/
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/
 
 Package: texmaker

## texmaker 4.1

=== debian/changelog ===
texmaker (4.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh 10_spelling_dict.patch patch.
  * debian/control:
    - Add Recommends on texlive-lang-english and
      latex-beamer.
    - Add Suggests on texlive-lang-all

 -- Julián Moreno Patiño <julian@debian.org>  Thu, 14 Nov 2013 10:13:33 -0500

texmaker (4.0.4-1) unstable; urgency=low

  * New upstream version
    Patch 30-fix-ftbfs-arm.patch is applied upstream
  * debian/control:
     - cme fix dpkg-control
     - fix sequence of virtual packages
     - Build-Depends: libpoppler-private-dev
       Closes: #721881

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2013 10:12:21 +0200

texmaker (4.0.3-2) unstable; urgency=low

  * Team upload.
  * Add 30-fix-ftbfs-arm.patch to fix FTBFS on
    armel and armhf arches.

 -- Julián Moreno Patiño <julian@debian.org>  Fri, 09 Aug 2013 17:55:44 -0500

=== debian/control ===
Source: texmaker
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Ruben Molina <rmolina@udea.edu.co>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev,
               libglib2.0-dev,
               libpoppler-qt4-dev,
               libpoppler-private-dev,
               libqtwebkit-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
Homepage: http://www.xm1math.net/texmaker/

Package: texmaker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texmaker-data (= ${source:Version})
Recommends: aspell,
            ghostscript,
            netpbm,
            psutils,
            latex-beamer,
            texlive-latex-extra,
            texlive-lang-english,
            hunspell-en-us | hunspell-dictionary | myspell-dictionary,
            asymptote,
            ibus-qt4
Suggests: texlive-lang-all
Description: cross-platform LaTeX editor
 Texmaker is a clean, highly configurable LaTeX editor with good hot key 
 support and extensive LaTeX documentation. Texmaker integrates many tools 
 needed to develop documents with LaTeX, in just one application. It has 
 some nice features such as syntax highlighting, insertion of 370 mathematical 
 symbols with only one click, and "structure view" of the document for easier 
 navigation. 

Package: texmaker-data
Architecture: all
Depends: ${misc:Depends}
Replaces: texmaker (<< ${source:Version})
Description: Texmaker LaTeX editor -- arch-independent files
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation.
 .
 This package contains documentation and arch-independent files for Texmaker.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,6 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	$(RM) .obj/* .moc/* .ui/* 
 	dh_auto_clean
-
-override_dh_auto_build:
-	qmake-qt4 -unix PREFIX=/usr QMAKE_CFLAGS="$(CPPFLAGS)" QMAKE_CXXFLAGS="$(CXXFLAGS)" QMAKE_LFLAGS="$(LDFLAGS)" texmaker.pro
 
 override_dh_auto_test:
 	# do not try testing

## texmaker 4.3

=== debian/changelog ===
texmaker (4.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright, Add missing diff/* copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 05 Aug 2014 07:13:00 -0500

texmaker (4.2-2) unstable; urgency=medium

  * Use synctex parser provided by libsynctex-dev. (Closes: #753812)
    + Thanks to Sebastian Ramacher for the patch.
    + Add libsynctex-dev to B-D.
  * Enable parallel Building. (Closes: #751194)
    + Thanks to Pino Toscano for it.
  * Remove debian/source/options because the default now is xz.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 07 Jul 2014 08:03:03 -0500

texmaker (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Build with QT5.
    - Remove libqt4-dev, libpoppler-qt4-dev, libpoppler-private-dev
      and libqtwebkit-dev from B-D.
    - Add qtscript5-dev, qtbase5-dev, libpoppler-qt5-dev,
      libpoppler-private-dev (>= 0.24.5-2), libqt5webkit5-dev,
      qtdeclarative5-dev and libqt5opengl5-dev to B-D.
    - Remove ibus-qt4 from Recommends. (not necessary in QT5)
    - Add export QT_SELECT := qt5 in d/rules.
  * Extend upstream and debian copyright holder years.
  * Add myself to Uploaders.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 03 Jun 2014 10:48:05 -0500

texmaker (4.1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 15 Mar 2014 10:07:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: texmaker
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Ruben Molina <rmolina@udea.edu.co>
+           Ruben Molina <rmolina@udea.edu.co>,
+           Julián Moreno Patiño <julian@debian.org>
 Section: tex
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               libqt4-dev,
+               qtscript5-dev,
+               qtbase5-dev,
                libglib2.0-dev,
-               libpoppler-qt4-dev,
-               libpoppler-private-dev,
-               libqtwebkit-dev
-Standards-Version: 3.9.4
+               libpoppler-qt5-dev,
+               libpoppler-private-dev (>= 0.24.5-2),
+               libqt5webkit5-dev,
+               qtdeclarative5-dev,
+               libqt5opengl5-dev,
+               libsynctex-dev
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/
@@ -28,8 +33,7 @@
             texlive-latex-extra,
             texlive-lang-english,
             hunspell-en-us | hunspell-dictionary | myspell-dictionary,
-            asymptote,
-            ibus-qt4
+            asymptote
 Suggests: texlive-lang-all
 Description: cross-platform LaTeX editor
  Texmaker is a clean, highly configurable LaTeX editor with good hot key 
@@ -48,4 +52,3 @@
  support and extensive LaTeX documentation.
  .
  This package contains documentation and arch-independent files for Texmaker.
-

## texmaker 4.4.1

=== debian/changelog ===
texmaker (4.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to add missing QDataStream include in singleapp/qtlocalpeer.cpp
    to fix compilation with current QT5. (Closes: #803755) 

 -- Andreas Bombe <aeb@debian.org>  Sun, 22 Nov 2015 19:23:01 +0100

texmaker (4.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches offset.
  * d/copyright: Remove files that
    aren't included by upstream anymore.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 09 Dec 2014 14:10:35 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                qtdeclarative5-dev,
                libqt5opengl5-dev,
                libsynctex-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
 Homepage: http://www.xm1math.net/texmaker/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE=1
+export QT_SELECT := qt5
 
 pkg=texmaker
 data=$(pkg)-data
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
